/*
Colors

Colors:
Black: #272727
White: #FFFFFF
Blue: #9DC6E5
Red: #ED8681
Lemon: #E1E47F
Sand: #F5DFA2
Green: #9CCCB7
Purple: #8A80B9

$_colors {map} - Global color map


Styleguide settings.colors
*/

$_colors: (
  black: #272727,
  white: #FFFFFF,
  blue: #9DC6E5,
  red: #ED8681,
  lemon: #E1E47F,
  sand: #F5DFA2,
  green: #9CCCB7,
  purple: #8A80B9
) !default;


@function color($color,$map: $_colors){
  @if(map-has-key($map,$color)){
    @return map-get($map,$color);
  }
}
